SharePoint 2013 Install-SPSolution with CompatabilityLevel Parameter

While installing new WSP to farm with Power Shell I found there are two folders "14" and "15" hive. You still able to install the WSP in older version based on the version you use; So in Install-SPSolution  power shell command let there is a parameter called "CompatabilityLevel " in sharepoint 2013 that used to installed the SharePoint solution feature in both "14" and "15" hives depend your requirement. Following are the list of table showing the values.

Following are the list of values available

Value
Result
14
Installs solution to 14 directories only
15
Installs solution to 15 directories only
“14,15”
Installs solution to both 14 and 15 directories
“AllVersions” or “All”
Installs solution to both 14 and 15 directories
“OldVersions” or “Old”
Installs solution to 14 directories only
“NewVersion” or “New”
Installs solution to 15 directories only

This command let help not available you need to run the update-help command in your power shell to update your sharepoint help.




Example
  1. Install-SPSolution -Identity SPF_solution.wsp -GACDeployment -CompatibilityLevel {14,15}

Popular posts from this blog

SharePoint RPC Protocols Examples Using OWSSVR.DLL

STS CryptographicException Error : Key set does not exist

SharePoint 2016 JavaScript framework